Chelabase
ManagementTeams

Rename a team or change its description

PATCH
/v1/teams/{team_id}

A field left out is unchanged; an unchanged team writes nothing. One team_updated access event.

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

team_id*string

Team id

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

description?|

At most 500 characters. Left out: unchanged.

name?|

Trimmed; 1 to 80 characters, unique in the tenant ignoring case. Left out: unchanged.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/teams/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "created_at": "2019-08-24T14:15:22Z",  "description": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "member_count": 0,  "member_ids": [    "6059d331-91d8-43de-a6af-f1a743933a5b"  ],  "name": "string",  "projects": [    {      "pg_roles": [        "string"      ],      "platform_role": "viewer",      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9"    }  ],  "updated_at": "2019-08-24T14:15:22Z"}